package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

public class KQShiftPersonalizedRuleCominfo extends CacheBase {

  protected static String TABLE_NAME = "kq_ShiftPersonalizedRule";
  /** sql中的where信息，不要以where开始 */
  protected static String TABLE_WHERE = null;
  /** sql中的order by信息，不要以order by开始 */
  protected static String TABLE_ORDER = "serialid";

  @PKColumn(type = CacheColumnType.NUMBER)
  protected static String PK_NAME = "serialid";

  /**
   * 外键 班次id 对应表ShiftManagement
   */
  @CacheColumn(name = "id")
  protected static int id;

  /**
   * 允许迟到分钟数
   */
  @CacheColumn(name = "permitlateminutes")
  protected static int permitlateminutes;

  /**
   * 严重迟到分钟数
   */
  @CacheColumn(name = "seriouslateminutes")
  protected static int seriouslateminutes;

  /**
   * 迟到视作旷工分钟数
   */
  @CacheColumn(name = "lateabsentminutes")
  protected static int lateabsentminutes;

  /**
   * 允许早退分钟数
   */
  @CacheColumn(name = "permitleaveearlyminutes")
  protected static int permitleaveearlyminutes;

  /**
   * 严重早退分钟数
   */
  @CacheColumn(name = "seriousleaveearlyminutes")
  protected static int seriousleaveearlyminutes;

  /**
   * 早退视作旷工分钟数
   */
  @CacheColumn(name = "leaveearlyabsentminutes")
  protected static int leaveearlyabsentminutes;

  /**
   * 允许迟到是否开启
   */
  @CacheColumn(name = "permitlatestatus")
  protected static int permitlatestatus;

  /**
   * 严重迟到是否开启
   */
  @CacheColumn(name = "seriouslatestatus")
  protected static int seriouslatestatus;

  /**
   * 迟到视作旷工是否开启
   */
  @CacheColumn(name = "lateabsentstatus")
  protected static int lateabsentstatus;

  /**
   * 允许早退是否开启
   */
  @CacheColumn(name = "permitleaveearlystatus")
  protected static int permitleaveearlystatus;

  /**
   * 严重早退是否开启
   */
  @CacheColumn(name = "seriousleaveearlystatus")
  protected static int seriousleaveearlystatus;

  /**
   * 早退视作旷工是否开启
   */
  @CacheColumn(name = "leaveearlyabsentstatus")
  protected static int leaveearlyabsentstatus;

  /**
   * 是否排除迟到分钟数
   */
  @CacheColumn(name = "enableexcludelate")
  protected static int enableexcludelate;

  /**
   * 是否排除早退分钟数
   */
  @CacheColumn(name = "enableexcludeleaveearly")
  protected static int enableexcludeleaveearly;

  /**
   * 删除标识1标识删除
   */
  @CacheColumn(name = "isdelete")
  protected static int isdelete;

  public String getSerialId(){
    return (String)getRowValue(PK_INDEX);
  }

  public String getID() {
    return (String)getRowValue(id);
  }

  public String getID(String key) {
    return (String)getValue(id,key);
  }

  public String getPermitlateminutes() {
    return (String)getRowValue(permitlateminutes);
  }

  public String getPermitlateminutes(String key) {
    return (String)getValue(permitlateminutes,key);
  }

  public String getSeriouslateminutes() {
    return (String)getRowValue(seriouslateminutes);
  }

  public String getSeriouslateminutes(String key) {
    return (String)getValue(seriouslateminutes,key);
  }

  public String getLateabsentminutes() {
    return (String)getRowValue(lateabsentminutes);
  }

  public String getLateabsentminutes(String key) {
    return (String)getValue(lateabsentminutes,key);
  }

  public String getPermitleaveearlyminutes() {
    return (String)getRowValue(permitleaveearlyminutes);
  }

  public String getPermitleaveearlyminutes(String key) {
    return (String)getValue(permitleaveearlyminutes,key);
  }

  public String getSeriousleaveearlyminutes() {
    return (String)getRowValue(seriousleaveearlyminutes);
  }

  public String getSeriousleaveearlyminutes(String key) {
    return (String)getValue(seriousleaveearlyminutes,key);
  }

  public String getLeaveearlyabsentminutes() {
    return (String)getRowValue(leaveearlyabsentminutes);
  }

  public String getLeaveearlyabsentminutes(String key) {
    return (String)getValue(leaveearlyabsentminutes,key);
  }

  public String getPermitlatestatus() {
    return (String)getRowValue(permitlatestatus);
  }

  public String getPermitlatestatus(String key) {
    return (String)getValue(permitlatestatus,key);
  }

  public String getSeriouslatestatus() {
    return (String)getRowValue(seriouslatestatus);
  }

  public String getSeriouslatestatus(String key) {
    return (String)getValue(seriouslatestatus,key);
  }

  public String getLateabsentstatus() {
    return (String)getRowValue(lateabsentstatus);
  }

  public String getLateabsentstatus(String key) {
    return (String)getValue(lateabsentstatus,key);
  }

  public String getPermitleaveearlystatus() {
    return (String)getRowValue(permitleaveearlystatus);
  }

  public String getPermitleaveearlystatus(String key) {
    return (String)getValue(permitleaveearlystatus,key);
  }

  public String getSeriousleaveearlystatus() {
    return (String)getRowValue(seriousleaveearlystatus);
  }

  public String getSeriousleaveearlystatus(String key) {
    return (String)getValue(seriousleaveearlystatus,key);
  }

  public String getLeaveearlyabsentstatus() {
    return (String)getRowValue(leaveearlyabsentstatus);
  }

  public String getLeaveearlyabsentstatus(String key) {
    return (String)getValue(leaveearlyabsentstatus,key);
  }

  public String getEnableexcludelate() {
    return (String)getRowValue(enableexcludelate);
  }

  public String getEnableexcludelate(String key) {
    return (String)getValue(enableexcludelate,key);
  }

  public String getEnableexcludeleaveearly() {
    return (String)getRowValue(enableexcludeleaveearly);
  }

  public String getEnableexcludeleaveearly(String key) {
    return (String)getValue(enableexcludeleaveearly,key);
  }

  public String getIsdelete() {
    return (String)getRowValue(isdelete);
  }

  public String getIsdelete(String key) {
    return (String)getValue(isdelete,key);
  }
}
